Package: freeradius
Version: 3.0.17+dfsg-1.1
Severity: normal
Tags: patch
Dear Maintainer,
when using sysvinit instead of systemd, calling the init script with
argument 'stop' does not stop the service. It seems in the invocation of
killproc the program name is missing.
Attached you should find a patch that fixes this problem.
Thanks for your work,
Roel
diff -pru a/debian/freeradius.init b/debian/freeradius.init
--- a/debian/freeradius.init 2019-04-22 23:23:36.000000000 +0200
+++ b/debian/freeradius.init 2019-09-17 19:54:37.926055502 +0200
@@ -62,7 +62,7 @@ case "$1" in
stop)
log_daemon_msg "Stopping $DESCR" "$PROG"
- killproc -p "$PIDFILE" || ret=$?
+ killproc -p "$PIDFILE" "$PROG" || ret=$?
log_end_msg $ret
;;